Installed Preloader .29 on 4.0u, Wad Manager ERROR, system files corru

Discussion in 'Wii - Hacking' started by UncleGrubby, Jun 24, 2009.

  1. UncleGrubby
    OP

    Newcomer UncleGrubby Newbie

    Joined:
    Jun 24, 2009
    Messages:
    4
    Country:
    United States
    OK, i installed preloader .29 on my 4.0u (that i had upgraded from 3.2). After rebooting it takes me straight to Preloader. I can access HBC but when accessing system menu it says files corrupted. I know this is normal, I tried re-installing preloader to no avail.

    Looked around. Looks like I need to reinstall system menu. Booted up wad manager to install systemmenu4.0 wad. Wad manager starts, reads SD card "ERROR ret = -1"!!

    What the crap? Why won't wad manager read the SD card? How am I supposed to reinstall the system menu?

    Thanks in advance!

    *UPDATE*

    Misnamed wad folder. Very Dumb. Installed new system menu, fixed all except now I don't know what happened to preloader.

    Can someone point me in the direction of where to go from here to get preloader working?

    Thanks to all.
     
  2. mikeyt1998

    Member mikeyt1998 YouTube Glitcher

    Joined:
    Aug 11, 2007
    Messages:
    1,359
    Location:
    Dalton-in-furness, north west
    Country:
    United Kingdom
    preloader is like a patched system menu, or at least the hacks are system menu patches lol

    so when you installed a new system menu it overwrote preloader thats all [​IMG]

    see what happens if you install preloader again, and like you tried, if it system file corrupts you then try to install preloader again and see what happens [​IMG]

    if it doesnt work i dont know what could be up, maybe you used an out of date hack from 3.2U or something, but i dunno if that gives you that message lol
     
  3. IOwnAndPwnU

    Member IOwnAndPwnU GBAtemp Maniac

    Joined:
    Jul 31, 2008
    Messages:
    1,123
    Country:
    Canada
    How exactly did you fix this because now I'm having the same issue.
     
  4. mikeyt1998

    Member mikeyt1998 YouTube Glitcher

    Joined:
    Aug 11, 2007
    Messages:
    1,359
    Location:
    Dalton-in-furness, north west
    Country:
    United Kingdom
    i take it you bolded the bits that you're stuck with?

    by misnaming the folder he meant that the folder 'WAD' wasnt spelled right on the root of his SD card, meaning that the application would not be able to find it, resulting in an error.

    like he might have put 'wadf' by accident and not noticed, but a simple deletion of the F on the folder would make it wad and wad manager would be able to find it [​IMG]
     
  5. UncleGrubby
    OP

    Newcomer UncleGrubby Newbie

    Joined:
    Jun 24, 2009
    Messages:
    4
    Country:
    United States

    In my case I had been using a different SD card to perform the install than I usually do and when I had created the "wad" forlder in the root I had named it "wads". The Wad Manager looks for "wad" and not the plural form. If you get the same error it's because it can't find the folder.

    Before I installed the 4.0u menu I had installed the cIOS60 wad. Is that something to do with it? Do I need to patch the ios60 or is the cios60 wad already a patch of said ios60? Do I need to reinstall ios/cios?

    It's weird because when I put in Smash Bros. Brawl the disc channel says "System Update". I don't understand why since I'm 4.0.

    I've been sucessfully using Backup Launcher to circumvent this for now. Also my system can run region free channels from the SD card and my backup of Tatsunoku vs. Capcom all that jazz if that info helps people understand what I've got functioning.
     
  6. IOwnAndPwnU

    Member IOwnAndPwnU GBAtemp Maniac

    Joined:
    Jul 31, 2008
    Messages:
    1,123
    Country:
    Canada
    I already fixed it, but thanks for the confirmation.

    I thought my folder was named wrong (which it wasn't) so I renamed it twice to "wads" and "WADs" and both were wrong. [​IMG]
    Because I was getting the ret =-1 error which is an error with the SD card. So I just formatted the SD card and put all the files back and its working.

    If you don't already have Preloader, install it. It will let you skip disk updates, such as that weird one (which you shouldn't have gotten) from SSBB.
     
  7. mikeyt1998

    Member mikeyt1998 YouTube Glitcher

    Joined:
    Aug 11, 2007
    Messages:
    1,359
    Location:
    Dalton-in-furness, north west
    Country:
    United Kingdom
    he goodo [​IMG]

    if yo have cIOSCORP skip update check is neccessary anyways, otherwise it'll always tell you to update...

    not that that information was needed, just thought i'd throw it out there lol
     

Share This Page